随笔-67  评论-522  文章-0  trackbacks-0
    m2eclipse插件相信很多人都知道怎么装,但是自从sonatype将它贡献给eclipse后,页面变化比较大,以至于有些新手不知道怎么安装这个插件,而且不同的eclipse版本对应不同的m2e版本。就连我的一些同事换电脑重新搭建开发环境,都有点搞不清楚,所以大象就想把这个讲一下,希望给有需要的人一些帮助。
    如果你用的是myeclipse,那就可以忽略了,因为它里面已经集成了。不过说个题外话,我建议用myeclipse开发的朋友还是不要用这个工具,因为它里面集成了太多的插件及各种jar,最要命的是经常碰到它里面的自带jar与项目的jar的版本冲突,然后还有其它各种坑。
    m2eclipse现在的官方网址是http://www.eclipse.org/m2e,在它的首页上很明显的可以看到download,进入之后就是下面这样的页面。
    
    红色框里面的版本不一定就适合你现在的eclipse版本,一般这种版本是对应最新的eclipse,假如你现在用的还是3.6或是3.7这些老版本,请千万不要安装它,很可能最后会提示你很多插件不支持,导致安装失败。
    如果你的eclipse版本较早,需要安装以前的版本,请进入蓝色标示的页面,直接拉到最下面可以看到这个表:
    
    如果是老版本,用1.1或者1.2就可以了,大象没用过4.0以上的版本,红色横线其实就是安装插件的URL地址。我再附一个eclipse各版本的发布时间,大家可以根据这个对比下,就大概可以知道哪个版本比较适合了。大象目前用的还是3.6.2这个版本,而m2e则是1.1版。
    
    复制上表中1.2版的p2 url,在eclipse->Help->Install New Software->Add里面填入NameLocation,可以看到插件安装列表显示出来了:
    
    后面的安装步骤大家都知道该怎么做我就不说了。
    本文为菠萝大象原创,如要转载请注明出处。http://www.blogjava.net/bolo
posted on 2014-05-16 16:11 菠萝大象 阅读(2106) 评论(0)  编辑  收藏 所属分类: Java

只有注册用户登录后才能发表评论。


网站导航: